> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download File Content

> Download a file associated with a Synced Object

This endpoint works with the following Synced Objects:

* [File](/managed-sync/api/file-schema): Downloads a synced file from a File Storage integration.
* [Ticket](/managed-sync/api/ticket-schema): Downloads a ZIP archive of a ticket's content and attachments. The archive will include:
  * A Markdown file containing the ticket's properties, content body, and full list of comments
  * A folder of `attachments/` with files that were attached to this ticket


## OpenAPI

````yaml get /api/syncs/{syncId}/records/{recordId}/content
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/syncs/{syncId}/records/{recordId}/content:
    get:
      summary: Download Content
      description: Download the file associated with a File-type Synced Object.
      parameters:
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: ID of the Sync
        - name: recordId
          in: path
          required: true
          schema:
            type: string
          description: ID (Sync-generated UUID, not external ID) of the file to download
      responses:
        '200':
          description: >-
            The response will be the binary content of the file. The
            `Content-Type` response header will vary based on the MIME type of
            the file.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````